Webhooks
Get Webhook Info
AuthorizationBasic <token>
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Path Parameters
sid*string
Webhook SID
Match
^(WH)[0-9a-f]{48}$Response Body
curl -X GET "https://example.com/v1/Webhooks/history/string"{ "items": [ { "createdOn": "2023-09-09T15:00:00.000Z", "sid": "string", "type": "TcrCampaignImported", "status": "Success", "payload": "string", "entitySid": "string" } ], "searchId": "string"}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}Opt-In/Out-Out Settings Defaults GET
Provides the defaults for the subscriber opt-in/opt-out/help settings. Keywords listed here are always used even if they are not defined in a TCR Campaign and/or a Messaging Config. Messages are used in case they are not defined in those entities.
List Webhooks GET
Next Page